Re: Polypaudio for Gnome 2.10, the next steps

Hi Mike,

On Tue, 2004-11-23 at 21:53, Mike Hearn wrote:
[.. about sound_connection_get () ..]
> I don't think that makes sense. Binary compatibility is a binary choice,
> it's either guaranteed or it's not. This doesn't technically break the ABI
> but it clearly does break the semantics of the API. 

The problem is that it's not easily fixeable. So yes, it'll break
slightly, but we'll have a reward in return. Choices, choices...

If it makes it any easier, we can document this breakage somewhere and
suggest what code to use instead under a free-for-all license (it's only
a few lines of code at most anyway). That should make people happy.


Ronald S. Bultje <rbultje ronald bitfreak net>

[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]